Bug 146800 - Kernel 2.4.18-e.54smp kernel module bc5700 does not support mtu 9000
Kernel 2.4.18-e.54smp kernel module bc5700 does not support mtu 9000
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Regression
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 13:01 EST by Brent Clements
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-04 14:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brent Clements 2005-02-01 13:01:50 EST
Description of problem:
We were running 2.4.18-e.41smp kernel with the bc5700 module 
included. Setting the MTU to 9000 worked fine. We upgraded to 2.4.18-
e54smp and tried loading the driver. The driver loads fine, but the 
mtu settings don't take. If you try setting using ifconfig, it 
essentially says that the parameter does not exist. The problem also 
occurs in 2.4.18-e.52smp.

Version-Release number of selected component (if applicable):
Both Kernel-2.4.18-e52smp and Kernel-2.4.18-e54smp.

How reproducible:
Each time we boot into the later kernels.

Steps to Reproduce:
1. Boot system with bc5700 gigabit gard with kernel-2.4.18-e.54smp
2. Set mtu by typing "ifconfig ethX mtu 9000"
Actual results:

[root@n11 ~]# ifconfig eth0 mtu 9000
SIOCSIFMTU: Invalid argument

Expected results:
A higher MTU should be able to be set, ie jumbo frames.

Additional info:
Comment 1 John W. Linville 2005-02-07 14:11:14 EST

Can I ask why you are using the bcm5700 module?  Have you tried using
the tg3 module instead?  In general, it enjoys much better community
Comment 2 John W. Linville 2005-02-17 14:16:45 EST

Please attach the output of running "sysreport"...I suspect that you
are actually using the tg3 driver, and that you are hitting a check
present in that driver which is preventing you from setting the
desired MTU...
Comment 3 John W. Linville 2005-05-04 14:39:19 EDT
Closed due to lack of response.  Please reopen if the requested information 
becomes available. 

Note You need to log in before you can comment on or make changes to this bug.